Delete a BYOK provider key
curl --request DELETE \
--url https://neo.api.projectdiscovery.io/api/v1/byok/providers/{provider} \
--header 'Authorization: Bearer <token>'import requests
url = "https://neo.api.projectdiscovery.io/api/v1/byok/providers/{provider}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://neo.api.projectdiscovery.io/api/v1/byok/providers/{provider}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"auto_switched": true,
"deleted": true,
"provider": "<string>",
"remaining_keys": 123
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>",
"turnstile_site_key": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>",
"turnstile_site_key": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>",
"turnstile_site_key": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>",
"turnstile_site_key": "<string>"
}BYOK
Delete a BYOK provider key
Delete the API key for a specific provider. If this is the last remaining provider key, the system automatically switches the model use mode back to “neo”.
Access control:
- Solo users: Manages their own provider keys
- Team admins: Manages provider keys for the team
- Team members/viewers: Returns 403
DELETE
/
api
/
v1
/
byok
/
providers
/
{provider}
Delete a BYOK provider key
Authorizations
BearerAuthApiKeyAuth
JWT authentication token
Path Parameters
Provider identifier
Available options:
openrouter, anthropic, openai, google, xai, vercel-gateway, google-vertex, amazon-bedrock, azure-foundry Response
Provider key deleted

